OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepAP203

# StepAP203_WorkItem Class Reference

Representation of STEP SELECT type WorkItem
.

`#include <StepAP203_WorkItem.hxx>`

Inheritance diagram for StepAP203_WorkItem:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepAP203_WorkItem ()
| Empty constructor .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a kind of WorkItem select type 1 -> ProductDefinitionFormation from StepBasic 0 else .
Standard_EXPORT Handle_StepBasic_ProductDefinitionFormation | ProductDefinitionFormation () const
| Returns Value as ProductDefinitionFormation (or Null if another type) .

## Constructor & Destructor Documentation

Standard_EXPORT StepAP203_WorkItem::StepAP203_WorkItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepAP203_WorkItem::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

void StepAP203_WorkItem::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepAP203_WorkItem::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepAP203_WorkItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepBasic_ProductDefinitionFormation StepAP203_WorkItem::ProductDefinitionFormation | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepAP203_WorkItem.hxx